# EditChatMessageMedia - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.edit.media / EditChatMessageMedia

# EditChatMessageMedia

(common) `data class EditChatMessageMedia : EditChatMessage<MediaContent>, EditReplyMessage, EditMediaMessage` (source)

### Constructors

(common)

#### <init>

`EditChatMessageMedia(chatId: ChatIdentifier, messageId: MessageIdentifier, media: InputMedia, replyMarkup: InlineKeyboardMarkup? = null)`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### media

`val media: InputMedia`

(common)

#### messageId

`val messageId: MessageIdentifier`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<MediaContent>>`

### Functions

(common)

#### method

`fun method(): String`